`timescale 1ns/10ps

// Name = APA1kx16
// type = RAM
// width = 16
// depth = 1024
// part family = APA
// output type = transparent
// optimization = speed
// input type = synchronous
// parity control = ignore
// Write =  active low
// Read =  active low
// Read clock =  posedge
// Write clock =  posedge


module APA1kx16(DO, RCLOCK, WCLOCK, DI, WRB, RDB, WADDR, RADDR);
output [15:0] DO;
input RCLOCK;
input WCLOCK;
input [15:0] DI;
input WRB;
input RDB;
input [9:0] WADDR;
input [9:0] RADDR;

GND U1(.Y(net00001));
RAM256x9SST M0(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(net00101), .DO7(net00091), .DO6(net00081), 
      .DO5(net00071), .DO4(net00061), .DO3(net00051), .DO2(net00041), .DO1(net00031), 
      .DO0(net00017), .DOS(net00024), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(DI[8]), .DI7(DI[7]), .DI6(DI[6]), .DI5(DI[5]), 
      .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00006), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M1(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(net00102), .DO7(net00092), .DO6(net00082), 
      .DO5(net00072), .DO4(net00062), .DO3(net00052), .DO2(net00042), .DO1(net00032), 
      .DO0(net00018), .DOS(net00023), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(DI[8]), .DI7(DI[7]), .DI6(DI[6]), .DI5(DI[5]), 
      .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00007), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
RAM256x9SST M2(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(net00103), .DO7(net00093), .DO6(net00083), 
      .DO5(net00073), .DO4(net00063), .DO3(net00053), .DO2(net00043), .DO1(net00033), 
      .DO0(net00019), .DOS(net00028), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(DI[8]), .DI7(DI[7]), .DI6(DI[6]), .DI5(DI[5]), 
      .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00008), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M3(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(net00104), .DO7(net00094), .DO6(net00084), 
      .DO5(net00074), .DO4(net00064), .DO3(net00054), .DO2(net00044), .DO1(net00034), 
      .DO0(net00020), .DOS(net00027), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(DI[8]), .DI7(DI[7]), .DI6(DI[6]), .DI5(DI[5]), 
      .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00009), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
RAM256x9SST M4(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(), .DO6(net00175), .DO5(net00165), 
      .DO4(net00155), .DO3(net00145), .DO2(net00135), .DO1(net00125), .DO0(net00111), 
      .DOS(net00118), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), .WADDR4(WADDR[4]), 
      .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), .RADDR7(RADDR[7]), 
      .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), .RADDR2(RADDR[2]), 
      .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(net00001), .DI6(DI[15]), .DI5(DI[14]), 
      .DI4(DI[13]), .DI3(DI[12]), .DI2(DI[11]), .DI1(DI[10]), .DI0(DI[9]), .WRB(WRB), .RDB(RDB), .WBLKB(net00006), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M5(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(), .DO6(net00176), .DO5(net00166), 
      .DO4(net00156), .DO3(net00146), .DO2(net00136), .DO1(net00126), .DO0(net00112), 
      .DOS(net00117), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), .WADDR4(WADDR[4]), 
      .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), .RADDR7(RADDR[7]), 
      .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), .RADDR2(RADDR[2]), 
      .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(net00001), .DI6(DI[15]), .DI5(DI[14]), 
      .DI4(DI[13]), .DI3(DI[12]), .DI2(DI[11]), .DI1(DI[10]), .DI0(DI[9]), .WRB(WRB), .RDB(RDB), .WBLKB(net00007), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
RAM256x9SST M6(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(), .DO6(net00177), .DO5(net00167), 
      .DO4(net00157), .DO3(net00147), .DO2(net00137), .DO1(net00127), .DO0(net00113), 
      .DOS(net00122), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), .WADDR4(WADDR[4]), 
      .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), .RADDR7(RADDR[7]), 
      .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), .RADDR2(RADDR[2]), 
      .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(net00001), .DI6(DI[15]), .DI5(DI[14]), 
      .DI4(DI[13]), .DI3(DI[12]), .DI2(DI[11]), .DI1(DI[10]), .DI0(DI[9]), .WRB(WRB), .RDB(RDB), .WBLKB(net00008), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M7(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(), .DO6(net00178), .DO5(net00168), 
      .DO4(net00158), .DO3(net00148), .DO2(net00138), .DO1(net00128), .DO0(net00114), 
      .DOS(net00121), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), .WADDR4(WADDR[4]), 
      .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), .RADDR7(RADDR[7]), 
      .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), .RADDR2(RADDR[2]), 
      .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(net00001), .DI6(DI[15]), .DI5(DI[14]), 
      .DI4(DI[13]), .DI3(DI[12]), .DI2(DI[11]), .DI1(DI[10]), .DI0(DI[9]), .WRB(WRB), .RDB(RDB), .WBLKB(net00009), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
MUX2H U2(.Y(net00003), .A(RADDR[8]), .B(net00002), .S(RDB));
DFF U3(.Q(net00002), .CLK(RCLOCK), .D(net00003));
MUX2H U4(.Y(net00005), .A(RADDR[9]), .B(net00004), .S(RDB));
DFF U5(.Q(net00004), .CLK(RCLOCK), .D(net00005));
OR2 U6(.Y(net00006), .A(WADDR[8]), .B(WADDR[9]));
NAND2FT U7(.Y(net00007), .A(WADDR[9]), .B(WADDR[8]));
NAND2FT U8(.Y(net00008), .A(WADDR[8]), .B(WADDR[9]));
NAND2 U9(.Y(net00009), .A(WADDR[8]), .B(WADDR[9]));
DMUX U14(.Y(net00022), .A(net00018), .B(net00001), .S(net00023));
DMUX U15(.Y(net00021), .A(net00017), .B(net00022), .S(net00024));
DMUX U16(.Y(net00026), .A(net00020), .B(net00001), .S(net00027));
DMUX U17(.Y(net00025), .A(net00019), .B(net00026), .S(net00028));
MUX2H U18(.Y(DO[0]), .A(net00021), .B(net00025), .S(net00004));
DMUX U19(.Y(net00036), .A(net00032), .B(net00001), .S(net00023));
DMUX U20(.Y(net00035), .A(net00031), .B(net00036), .S(net00024));
DMUX U21(.Y(net00038), .A(net00034), .B(net00001), .S(net00027));
DMUX U22(.Y(net00037), .A(net00033), .B(net00038), .S(net00028));
MUX2H U23(.Y(DO[1]), .A(net00035), .B(net00037), .S(net00004));
DMUX U24(.Y(net00046), .A(net00042), .B(net00001), .S(net00023));
DMUX U25(.Y(net00045), .A(net00041), .B(net00046), .S(net00024));
DMUX U26(.Y(net00048), .A(net00044), .B(net00001), .S(net00027));
DMUX U27(.Y(net00047), .A(net00043), .B(net00048), .S(net00028));
MUX2H U28(.Y(DO[2]), .A(net00045), .B(net00047), .S(net00004));
DMUX U29(.Y(net00056), .A(net00052), .B(net00001), .S(net00023));
DMUX U30(.Y(net00055), .A(net00051), .B(net00056), .S(net00024));
DMUX U31(.Y(net00058), .A(net00054), .B(net00001), .S(net00027));
DMUX U32(.Y(net00057), .A(net00053), .B(net00058), .S(net00028));
MUX2H U33(.Y(DO[3]), .A(net00055), .B(net00057), .S(net00004));
DMUX U34(.Y(net00066), .A(net00062), .B(net00001), .S(net00023));
DMUX U35(.Y(net00065), .A(net00061), .B(net00066), .S(net00024));
DMUX U36(.Y(net00068), .A(net00064), .B(net00001), .S(net00027));
DMUX U37(.Y(net00067), .A(net00063), .B(net00068), .S(net00028));
MUX2H U38(.Y(DO[4]), .A(net00065), .B(net00067), .S(net00004));
DMUX U39(.Y(net00076), .A(net00072), .B(net00001), .S(net00023));
DMUX U40(.Y(net00075), .A(net00071), .B(net00076), .S(net00024));
DMUX U41(.Y(net00078), .A(net00074), .B(net00001), .S(net00027));
DMUX U42(.Y(net00077), .A(net00073), .B(net00078), .S(net00028));
MUX2H U43(.Y(DO[5]), .A(net00075), .B(net00077), .S(net00004));
DMUX U44(.Y(net00086), .A(net00082), .B(net00001), .S(net00023));
DMUX U45(.Y(net00085), .A(net00081), .B(net00086), .S(net00024));
DMUX U46(.Y(net00088), .A(net00084), .B(net00001), .S(net00027));
DMUX U47(.Y(net00087), .A(net00083), .B(net00088), .S(net00028));
MUX2H U48(.Y(DO[6]), .A(net00085), .B(net00087), .S(net00004));
DMUX U49(.Y(net00096), .A(net00092), .B(net00001), .S(net00023));
DMUX U50(.Y(net00095), .A(net00091), .B(net00096), .S(net00024));
DMUX U51(.Y(net00098), .A(net00094), .B(net00001), .S(net00027));
DMUX U52(.Y(net00097), .A(net00093), .B(net00098), .S(net00028));
MUX2H U53(.Y(DO[7]), .A(net00095), .B(net00097), .S(net00004));
DMUX U54(.Y(net00106), .A(net00102), .B(net00001), .S(net00023));
DMUX U55(.Y(net00105), .A(net00101), .B(net00106), .S(net00024));
DMUX U56(.Y(net00108), .A(net00104), .B(net00001), .S(net00027));
DMUX U57(.Y(net00107), .A(net00103), .B(net00108), .S(net00028));
MUX2H U58(.Y(DO[8]), .A(net00105), .B(net00107), .S(net00004));
DMUX U59(.Y(net00116), .A(net00112), .B(net00001), .S(net00117));
DMUX U60(.Y(net00115), .A(net00111), .B(net00116), .S(net00118));
DMUX U61(.Y(net00120), .A(net00114), .B(net00001), .S(net00121));
DMUX U62(.Y(net00119), .A(net00113), .B(net00120), .S(net00122));
MUX2H U63(.Y(DO[9]), .A(net00115), .B(net00119), .S(net00004));
DMUX U64(.Y(net00130), .A(net00126), .B(net00001), .S(net00117));
DMUX U65(.Y(net00129), .A(net00125), .B(net00130), .S(net00118));
DMUX U66(.Y(net00132), .A(net00128), .B(net00001), .S(net00121));
DMUX U67(.Y(net00131), .A(net00127), .B(net00132), .S(net00122));
MUX2H U68(.Y(DO[10]), .A(net00129), .B(net00131), .S(net00004));
DMUX U69(.Y(net00140), .A(net00136), .B(net00001), .S(net00117));
DMUX U70(.Y(net00139), .A(net00135), .B(net00140), .S(net00118));
DMUX U71(.Y(net00142), .A(net00138), .B(net00001), .S(net00121));
DMUX U72(.Y(net00141), .A(net00137), .B(net00142), .S(net00122));
MUX2H U73(.Y(DO[11]), .A(net00139), .B(net00141), .S(net00004));
DMUX U74(.Y(net00150), .A(net00146), .B(net00001), .S(net00117));
DMUX U75(.Y(net00149), .A(net00145), .B(net00150), .S(net00118));
DMUX U76(.Y(net00152), .A(net00148), .B(net00001), .S(net00121));
DMUX U77(.Y(net00151), .A(net00147), .B(net00152), .S(net00122));
MUX2H U78(.Y(DO[12]), .A(net00149), .B(net00151), .S(net00004));
DMUX U79(.Y(net00160), .A(net00156), .B(net00001), .S(net00117));
DMUX U80(.Y(net00159), .A(net00155), .B(net00160), .S(net00118));
DMUX U81(.Y(net00162), .A(net00158), .B(net00001), .S(net00121));
DMUX U82(.Y(net00161), .A(net00157), .B(net00162), .S(net00122));
MUX2H U83(.Y(DO[13]), .A(net00159), .B(net00161), .S(net00004));
DMUX U84(.Y(net00170), .A(net00166), .B(net00001), .S(net00117));
DMUX U85(.Y(net00169), .A(net00165), .B(net00170), .S(net00118));
DMUX U86(.Y(net00172), .A(net00168), .B(net00001), .S(net00121));
DMUX U87(.Y(net00171), .A(net00167), .B(net00172), .S(net00122));
MUX2H U88(.Y(DO[14]), .A(net00169), .B(net00171), .S(net00004));
DMUX U89(.Y(net00180), .A(net00176), .B(net00001), .S(net00117));
DMUX U90(.Y(net00179), .A(net00175), .B(net00180), .S(net00118));
DMUX U91(.Y(net00182), .A(net00178), .B(net00001), .S(net00121));
DMUX U92(.Y(net00181), .A(net00177), .B(net00182), .S(net00122));
MUX2H U93(.Y(DO[15]), .A(net00179), .B(net00181), .S(net00004));
endmodule


