`timescale 1ns/10ps

// Name = APA1kx8
// type = RAM
// width = 8
// depth = 1024
// part family = APA
// output type = transparent
// optimization = speed
// input type = synchronous
// parity control = ignore
// Write =  active low
// Read =  active low
// Read clock =  posedge
// Write clock =  posedge


module APA1kx8(DO, RCLOCK, WCLOCK, DI, WRB, RDB, WADDR, RADDR);
output [7:0] DO;
input RCLOCK;
input WCLOCK;
input [7:0] DI;
input WRB;
input RDB;
input [9:0] WADDR;
input [9:0] RADDR;

GND U1(.Y(net00001));
RAM256x9SST M0(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(net00091), .DO6(net00081), 
      .DO5(net00071), .DO4(net00061), .DO3(net00051), .DO2(net00041), .DO1(net00031), 
      .DO0(net00017), .DOS(net00024), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(DI[7]), .DI6(DI[6]), 
      .DI5(DI[5]), .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00006), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M1(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(net00092), .DO6(net00082), 
      .DO5(net00072), .DO4(net00062), .DO3(net00052), .DO2(net00042), .DO1(net00032), 
      .DO0(net00018), .DOS(net00023), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(DI[7]), .DI6(DI[6]), 
      .DI5(DI[5]), .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00007), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
RAM256x9SST M2(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(net00093), .DO6(net00083), 
      .DO5(net00073), .DO4(net00063), .DO3(net00053), .DO2(net00043), .DO1(net00033), 
      .DO0(net00019), .DOS(net00028), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(DI[7]), .DI6(DI[6]), 
      .DI5(DI[5]), .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00008), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00002));
RAM256x9SST M3(.RCLKS(RCLOCK), .WCLKS(WCLOCK), .DO8(), .DO7(net00094), .DO6(net00084), 
      .DO5(net00074), .DO4(net00064), .DO3(net00054), .DO2(net00044), .DO1(net00034), 
      .DO0(net00020), .DOS(net00027), .WPE(), .RPE(), .WADDR7(WADDR[7]), .WADDR6(WADDR[6]), .WADDR5(WADDR[5]), 
      .WADDR4(WADDR[4]), .WADDR3(WADDR[3]), .WADDR2(WADDR[2]), .WADDR1(WADDR[1]), .WADDR0(WADDR[0]), 
      .RADDR7(RADDR[7]), .RADDR6(RADDR[6]), .RADDR5(RADDR[5]), .RADDR4(RADDR[4]), .RADDR3(RADDR[3]), 
      .RADDR2(RADDR[2]), .RADDR1(RADDR[1]), .RADDR0(RADDR[0]), .DI8(net00001), .DI7(DI[7]), .DI6(DI[6]), 
      .DI5(DI[5]), .DI4(DI[4]), .DI3(DI[3]), .DI2(DI[2]), .DI1(DI[1]), .DI0(DI[0]), .WRB(WRB), .RDB(RDB), .WBLKB(net00009), 
      .RBLKB(net00001), .PARODD(net00001), .DIS(net00001));
MUX2H U2(.Y(net00003), .A(RADDR[8]), .B(net00002), .S(RDB));
DFF U3(.Q(net00002), .CLK(RCLOCK), .D(net00003));
MUX2H U4(.Y(net00005), .A(RADDR[9]), .B(net00004), .S(RDB));
DFF U5(.Q(net00004), .CLK(RCLOCK), .D(net00005));
OR2 U6(.Y(net00006), .A(WADDR[8]), .B(WADDR[9]));
NAND2FT U7(.Y(net00007), .A(WADDR[9]), .B(WADDR[8]));
NAND2FT U8(.Y(net00008), .A(WADDR[8]), .B(WADDR[9]));
NAND2 U9(.Y(net00009), .A(WADDR[8]), .B(WADDR[9]));
DMUX U14(.Y(net00022), .A(net00018), .B(net00001), .S(net00023));
DMUX U15(.Y(net00021), .A(net00017), .B(net00022), .S(net00024));
DMUX U16(.Y(net00026), .A(net00020), .B(net00001), .S(net00027));
DMUX U17(.Y(net00025), .A(net00019), .B(net00026), .S(net00028));
MUX2H U18(.Y(DO[0]), .A(net00021), .B(net00025), .S(net00004));
DMUX U19(.Y(net00036), .A(net00032), .B(net00001), .S(net00023));
DMUX U20(.Y(net00035), .A(net00031), .B(net00036), .S(net00024));
DMUX U21(.Y(net00038), .A(net00034), .B(net00001), .S(net00027));
DMUX U22(.Y(net00037), .A(net00033), .B(net00038), .S(net00028));
MUX2H U23(.Y(DO[1]), .A(net00035), .B(net00037), .S(net00004));
DMUX U24(.Y(net00046), .A(net00042), .B(net00001), .S(net00023));
DMUX U25(.Y(net00045), .A(net00041), .B(net00046), .S(net00024));
DMUX U26(.Y(net00048), .A(net00044), .B(net00001), .S(net00027));
DMUX U27(.Y(net00047), .A(net00043), .B(net00048), .S(net00028));
MUX2H U28(.Y(DO[2]), .A(net00045), .B(net00047), .S(net00004));
DMUX U29(.Y(net00056), .A(net00052), .B(net00001), .S(net00023));
DMUX U30(.Y(net00055), .A(net00051), .B(net00056), .S(net00024));
DMUX U31(.Y(net00058), .A(net00054), .B(net00001), .S(net00027));
DMUX U32(.Y(net00057), .A(net00053), .B(net00058), .S(net00028));
MUX2H U33(.Y(DO[3]), .A(net00055), .B(net00057), .S(net00004));
DMUX U34(.Y(net00066), .A(net00062), .B(net00001), .S(net00023));
DMUX U35(.Y(net00065), .A(net00061), .B(net00066), .S(net00024));
DMUX U36(.Y(net00068), .A(net00064), .B(net00001), .S(net00027));
DMUX U37(.Y(net00067), .A(net00063), .B(net00068), .S(net00028));
MUX2H U38(.Y(DO[4]), .A(net00065), .B(net00067), .S(net00004));
DMUX U39(.Y(net00076), .A(net00072), .B(net00001), .S(net00023));
DMUX U40(.Y(net00075), .A(net00071), .B(net00076), .S(net00024));
DMUX U41(.Y(net00078), .A(net00074), .B(net00001), .S(net00027));
DMUX U42(.Y(net00077), .A(net00073), .B(net00078), .S(net00028));
MUX2H U43(.Y(DO[5]), .A(net00075), .B(net00077), .S(net00004));
DMUX U44(.Y(net00086), .A(net00082), .B(net00001), .S(net00023));
DMUX U45(.Y(net00085), .A(net00081), .B(net00086), .S(net00024));
DMUX U46(.Y(net00088), .A(net00084), .B(net00001), .S(net00027));
DMUX U47(.Y(net00087), .A(net00083), .B(net00088), .S(net00028));
MUX2H U48(.Y(DO[6]), .A(net00085), .B(net00087), .S(net00004));
DMUX U49(.Y(net00096), .A(net00092), .B(net00001), .S(net00023));
DMUX U50(.Y(net00095), .A(net00091), .B(net00096), .S(net00024));
DMUX U51(.Y(net00098), .A(net00094), .B(net00001), .S(net00027));
DMUX U52(.Y(net00097), .A(net00093), .B(net00098), .S(net00028));
MUX2H U53(.Y(DO[7]), .A(net00095), .B(net00097), .S(net00004));
endmodule


